wp.blocks.registerBlockType('beycanpress/story', {
    title: 'BP Story',
    icon: 'dashicons dashicons-format-gallery',
    category: 'widgets',
    attributes: {
        content: {type: 'string'},
        color: {type: 'string'}
    },
    
  /* This configures how the content and color fields will work, and sets up the necessary elements */
    
    edit: function(props) {
        function updateContent(event) {
            props.setAttributes({content: event.target.value})
        }
        return React.createElement(
            "select", 
            { value: props.attributes.content, onChange: updateContent },
            React.createElement("option", {value: "[bpstory-user-stories]"}, BPStory.widgetTexts.userStories),
            React.createElement("option", {value: "[bpstory-admin-stories]"}, BPStory.widgetTexts.adminStories),
            React.createElement("option", {value: "[bpstory-post-stories]"}, BPStory.widgetTexts.postStories),
            React.createElement("option", {value: "[bpstory-product-stories]"}, BPStory.widgetTexts.productStories)
        );
    },
    save: function(props) {
        return wp.element.createElement(
            "div",
            {},
            props.attributes.content
        );
    }
});