<?php

namespace BeycanPress\Story\Integrations;

use \BeycanPress\Story\Traits\Helpers;

/**
 * BP Story bbPress integration class
 */
class BBPress
{
    use Helpers;
    /**
     * Class construct
     * @return void
     */
    public function __construct()
    {
        if (!is_admin() && is_user_logged_in()) {
            $this->frontendProcess();
        }
    }

    /**
     * Frontend process
     * @return void
     */
    public function frontendProcess()
    {
        // Add to bbPress profile page
        add_action('bbp_template_after_user_profile', function(){
            echo do_shortcode('[bpstory-user-stories]');
        });
    }

}